#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xe560dc1d, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xe586475b, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x54cdfb48, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x5fc36804, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x89e73377, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0xfe01156a, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0x661c99ef, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0xc45a2905, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0xa91bc33c, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x54322524, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0x7472a420, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xbbd9e9ed, "_gpl");
SYMBOL_CRC(dm_get_md, 0x8bc9e229, "_gpl");
SYMBOL_CRC(dm_hold, 0x52cd4e40, "_gpl");
SYMBOL_CRC(dm_device_name, 0x592c644a, "_gpl");
SYMBOL_CRC(dm_put, 0x9ff71e5c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x1a678007, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x463b70b4, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0x1d53f681, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0x3e3b70be, "_gpl");
SYMBOL_CRC(dm_disk, 0x5ed92ffd, "_gpl");
SYMBOL_CRC(dm_suspended, 0xd470ccda, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x50710ed3, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xca0e0752, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0x899a4900, "");
SYMBOL_CRC(dm_put_device, 0x4db0f902, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0xbeb32ebe, "_gpl");
SYMBOL_CRC(dm_table_event, 0xcf0f3cb2, "");
SYMBOL_CRC(dm_table_get_size, 0xc8faa31b, "");
SYMBOL_CRC(dm_table_get_mode, 0x4b418076, "");
SYMBOL_CRC(dm_table_get_md, 0x0a124b87, "");
SYMBOL_CRC(dm_table_device_name, 0xe43aa6a9, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0x3f59ced7, "");
SYMBOL_CRC(dm_register_target, 0x78d4ceaf, "");
SYMBOL_CRC(dm_unregister_target, 0xe54a9919, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xf0f67838, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x75e1ac19, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x02788197, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x1f5b36ea, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0xe201dfb8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc4da540, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x7d9ceb95, "set_disk_ro" },
	{ 0x39300a6, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x57bc1444, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x61cf3016, "misc_deregister" },
	{ 0x599b5ca1, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5cabf9a3, "idr_find" },
	{ 0xf6247c91, "param_ops_uint" },
	{ 0xb0475f9a, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2968c596, "bio_split_to_limits" },
	{ 0x39d86dc6, "vmalloc_to_page" },
	{ 0xf58f842, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd4404350, "__SCT__tp_func_block_split" },
	{ 0xcf02ab71, "__SCT__tp_func_block_rq_remap" },
	{ 0x33582de9, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0x430800e, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd4c1a42e, "blk_mq_queue_inflight" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd5eb35fe, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x20916715, "idr_replace" },
	{ 0x268e60e8, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0xdd4eaf36, "mempool_init" },
	{ 0xff720dc0, "blk_rq_prep_clone" },
	{ 0x710efd38, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xc578e01c, "prepare_to_wait" },
	{ 0x1c6c54a9, "blk_mq_quiesce_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf54d59dc, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1e1a3762, "prepare_to_wait_event" },
	{ 0xfc67a1ca, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xbeade862, "__wake_up" },
	{ 0x6a2ef5e0, "synchronize_srcu" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0x5de66f2a, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xf270565f, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7ae07375, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xa1ac8f44, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1d64329, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x8961cf3c, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xe5592568, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x9080ad7c, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xe9e3cd53, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x675a79c0, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb261371, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x71009e53, "kmalloc_node_trace" },
	{ 0xd181720e, "__SCK__tp_func_block_split" },
	{ 0xebbdcccb, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x60d88bed, "__free_pages" },
	{ 0x64c3da89, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xcf3fc230, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x42ef6ccc, "submit_bio" },
	{ 0x2160bccb, "dax_add_host" },
	{ 0x5eea08e6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7f6a89, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xab56ea78, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0x15d14e3a, "idr_remove" },
	{ 0x42d05004, "kobject_uevent_env" },
	{ 0x73c402ed, "bio_put" },
	{ 0xd034c97b, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x206d6b8, "init_srcu_struct" },
	{ 0x1ad335fd, "__SCK__tp_func_block_bio_remap" },
	{ 0xaed4ae9d, "fput" },
	{ 0x9f5297b7, "down_write" },
	{ 0xaf9fa7a1, "blk_revalidate_disk_zones" },
	{ 0x39ce43c3, "up_write" },
	{ 0x86087c89, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2e158d38, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x1fba4005, "__srcu_read_lock" },
	{ 0x511bb076, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x359a5524, "set_capacity" },
	{ 0xee3cee66, "submit_bio_noacct" },
	{ 0xd819e546, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x6f60e149, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xe8fa58e4, "kmem_cache_free" },
	{ 0x53e10076, "dax_remove_host" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x25615032, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa43b2f69, "dax_recovery_write" },
	{ 0xf26c95d1, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x2bbaafd9, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xfd1f461b, "kobject_init_and_add" },
	{ 0x25bac81b, "zero_fill_bio_iter" },
	{ 0x6a1aebe1, "bio_add_page" },
	{ 0x86a8cdf2, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x27586e00, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7309def4, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x81cbbe3, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x16046dbb, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x703d7421, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xa3c88210, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8a4ec6f9, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x17246815, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x24431b50, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9fc5d533, "blk_insert_cloned_request" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff789412, "audit_log_start" },
	{ 0x54818af9, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x518d43c9, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd3796ce5, "bio_uninit" },
	{ 0x5753e378, "crypto_shash_final" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x82569ab1, "param_ops_bool" },
	{ 0x3ff4a7fc, "bioset_init" },
	{ 0xf4cecfab, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x952fb48b, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x888c5cc1, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0x7cbef774, "__tracepoint_block_bio_remap" },
	{ 0x5b618060, "__tracepoint_block_rq_remap" },
	{ 0xe868886b, "bd_link_disk_holder" },
	{ 0x3630b8c4, "blk_mq_start_request" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7242d92, "put_dax" },
	{ 0xa7d3370c, "file_bdev" },
	{ 0x6d70f1d9, "queue_limits_stack_integrity" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3098c3ba, "__SCK__tp_func_block_rq_remap" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe01b75da, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd84079aa, "blk_zone_plug_bio" },
	{ 0x519b2b47, "param_ops_int" },
	{ 0x76edfa1a, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xb3bd0cab, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xcada14d1, "queue_limits_set" },
	{ 0x77df5d49, "bio_alloc_bioset" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x3c114ecd, "blk_mq_requeue_request" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xdc1442d6, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8bec4e84, "bdev_end_io_acct" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xcdef8a00, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb828758e, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "22646E38D4679DC418F26A9");
MODULE_INFO(rhelversion, "9.6");
