#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x86c3a5df, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x3e22bcdb, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x9258a06a, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xe641ddd8, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xa1afd1aa, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x2c5bc6d0, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x4c365784, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xf52ab860, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xe29e28ce, "_gpl");
SYMBOL_CRC(can_bus_off, 0x3151e66b, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xf4f8cac4, "_gpl");
SYMBOL_CRC(free_candev, 0xaf06ed8b, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xd97c7e15, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xea3fa21e, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xfdb2d856, "");
SYMBOL_CRC(open_candev, 0xef74fb36, "_gpl");
SYMBOL_CRC(close_candev, 0xc94d5ccb, "_gpl");
SYMBOL_CRC(register_candev, 0xccba1fbd, "_gpl");
SYMBOL_CRC(unregister_candev, 0x4124865b, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x5a320d91, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x121270aa, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x41e558ae, "skb_put" },
	{ 0x7dfb26df, "gpiod_set_value" },
	{ 0x8717350d, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x64341b5a, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x79ff012f, "unregister_netdev" },
	{ 0x4063e3bb, "rtnl_link_register" },
	{ 0x5bb81722, "netdev_warn" },
	{ 0x6807970e, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc4658286, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33890d91, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2aaf04e7, "device_property_read_u32_array" },
	{ 0x623bf683, "rtnl_link_unregister" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x85df7e01, "register_netdev" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0x960d35ef, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x111d0bac, "netif_rx" },
	{ 0xee0abf69, "__netdev_alloc_skb" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xc87bb585, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ee7256e, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x51d5ba0c, "skb_clone" },
	{ 0x2f0a6df5, "netif_carrier_on" },
	{ 0x643824e5, "dev_err_probe" },
	{ 0x7efa34a0, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5a7bf961, "skb_clone_tx_timestamp" },
	{ 0x501b3294, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
