#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x3b30451d, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x8b30e8fd, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x106d344d, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xdbab31bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x9c58696a, "__skb_checksum_complete" },
	{ 0xa53a8141, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0x23a161e4, "__nlmsg_put" },
	{ 0x74392dd8, "netdev_adjacent_change_commit" },
	{ 0xcb40f04b, "eth_mac_addr" },
	{ 0x41e558ae, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb951b839, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc7afd755, "ip6_dst_hoplimit" },
	{ 0xc52000b0, "param_ops_ushort" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x1a0913c7, "udp_sock_create4" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xc8b6e452, "udp_tunnel6_xmit_skb" },
	{ 0x4063e3bb, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9f02e959, "__unregister_nexthop_notifier" },
	{ 0xd7c3536d, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0xe920f8c1, "eth_validate_addr" },
	{ 0x618371dd, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3053848f, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x91c7d9d, "rtnl_create_link" },
	{ 0x33e8ae18, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x472eb8d0, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x4121ead7, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdefcf5d6, "udp_tunnel_drop_rx_port" },
	{ 0x20a521b9, "pskb_expand_head" },
	{ 0x1efd386f, "netdev_upper_dev_link" },
	{ 0xa2591202, "register_pernet_subsys" },
	{ 0x79dd3c53, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0x93901647, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x27e3a326, "eth_gro_complete" },
	{ 0xbea4f27a, "rtnl_set_sk_err" },
	{ 0x584f919c, "eth_gro_receive" },
	{ 0x382b0d65, "rtnl_configure_link" },
	{ 0xb35ef697, "skb_tunnel_check_pmtu" },
	{ 0x1c79b3d6, "udp_tunnel_dst_lookup" },
	{ 0x95a63c67, "rtnl_unicast" },
	{ 0x84429a6e, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xc831ddc1, "__skb_get_hash_net" },
	{ 0x90477f8d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x429fed3d, "__dev_get_by_index" },
	{ 0x623bf683, "rtnl_link_unregister" },
	{ 0x7f3afe0d, "ipv6_stub" },
	{ 0x9e75c6ed, "skb_pull" },
	{ 0xb0b67751, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb2a7524e, "dev_get_by_index_rcu" },
	{ 0x8e68c827, "gro_cells_receive" },
	{ 0xcbd418df, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xf088c0ab, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0x3b3d90e0, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x582ad500, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcb463f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x978738c8, "ethtool_op_get_link" },
	{ 0x574faebc, "nexthop_find_by_id" },
	{ 0x9ea2147e, "arp_create" },
	{ 0x34a4c817, "__ethtool_get_link_ksettings" },
	{ 0xf49873e1, "netdev_adjacent_change_prepare" },
	{ 0x7a2b5119, "rtnl_register_module" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2734c37a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe477db2a, "rhashtable_free_and_destroy" },
	{ 0xafd1f189, "rht_bucket_nested_insert" },
	{ 0x1fd6eda3, "netdev_adjacent_change_abort" },
	{ 0xb8e03347, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf28e2be0, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x16702f2b, "__iptunnel_pull_header" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0x76702c3f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x111d0bac, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x61be68f, "rhashtable_destroy" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x3b826184, "setup_udp_tunnel_sock" },
	{ 0x8da7bc77, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc87bb585, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa3a9c94e, "skb_scrub_packet" },
	{ 0x270fecb8, "nexthop_select_path" },
	{ 0xa6ee9027, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xdb425767, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc26d2e4f, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82569ab1, "param_ops_bool" },
	{ 0x7cb05f63, "udp_tun_rx_dst" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x9c79494b, "rtnl_notify" },
	{ 0x6b85483d, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc1abcd25, "__netif_rx" },
	{ 0x51d5ba0c, "skb_clone" },
	{ 0x38c6fff4, "metadata_dst_alloc" },
	{ 0x652b5e8a, "dst_release" },
	{ 0x3aa12e9, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x7209d694, "udp_tunnel_notify_del_rx_port" },
	{ 0x14678a39, "register_nexthop_notifier" },
	{ 0xe6fdb075, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x4f2363c9, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xca94d0ea, "netdev_core_stats_inc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x501b3294, "netdev_info" },
	{ 0xe407be80, "neigh_lookup" },
	{ 0x6e574007, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb390f227, "register_netdevice" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.6");
