#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x9ed9328a, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xde9716ef, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xd7034003, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x9178b2ca, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x4a2e22e5, "_gpl");
SYMBOL_CRC(lockd_up, 0x13222a43, "_gpl");
SYMBOL_CRC(lockd_down, 0x7329b534, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x012ad19d, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd5e7478, "rpc_put_task" },
	{ 0x2c87a25e, "svc_generic_rpcbind_set" },
	{ 0x4fb2287c, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x60d2164e, "bpf_trace_run4" },
	{ 0xf6247c91, "param_ops_uint" },
	{ 0x9130f17, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3272738d, "rpc_shutdown_client" },
	{ 0x42f6e864, "svc_bind" },
	{ 0x8881747d, "proc_create" },
	{ 0xd5333f32, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6424474f, "xdr_inline_decode" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd5eb35fe, "finish_wait" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xc578e01c, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85a1efad, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xe1553513, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xb06a1084, "svc_exit_thread" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x1e1a3762, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0xbeade862, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x6cec1e37, "param_get_ulong" },
	{ 0xd41074df, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x47d66c13, "__put_cred" },
	{ 0xa2591202, "register_pernet_subsys" },
	{ 0x49d6f564, "locks_in_grace" },
	{ 0x5087b8c0, "wake_up_process" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x583950fd, "proc_dobool" },
	{ 0x3235570a, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xff12229e, "unregister_sysctl_table" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0xa0b84fa3, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb955c1e7, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d2ff6fc, "simple_transaction_release" },
	{ 0x1932b674, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x19522872, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0x9f5297b7, "down_write" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x39ce43c3, "up_write" },
	{ 0xd0677c82, "svc_set_num_threads" },
	{ 0xb57eaff4, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x3c0bb96a, "vfs_cancel_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd338f92d, "proc_doulongvec_minmax" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xe5f2b55d, "freezing_slow_path" },
	{ 0xee073d4, "rpc_create" },
	{ 0x7108f19d, "svc_destroy" },
	{ 0x441cd2b4, "rpc_call_start" },
	{ 0x8784862f, "svc_create" },
	{ 0x9555fde8, "default_llseek" },
	{ 0xb87abc6a, "rpc_call_sync" },
	{ 0x43b90e36, "proc_mkdir" },
	{ 0x2734c37a, "unregister_pernet_subsys" },
	{ 0x87f587f9, "vfs_lock_file" },
	{ 0xe81edd37, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0x9bde4988, "svc_generic_init_request" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf748f04e, "down_read" },
	{ 0x19b86942, "svc_set_client" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x138fef0, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bb071a, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc8f4c1a, "rpc_force_rebind" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82569ab1, "param_ops_bool" },
	{ 0x6204ef11, "rpc_restart_call" },
	{ 0x7ec705e0, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5f75734a, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1a056ee9, "proc_dointvec" },
	{ 0xd3036964, "svc_print_addr" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x3b7ea1c, "locks_delete_block" },
	{ 0x754d539c, "strlen" },
	{ 0x4635482b, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0xf79c6bae, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x2da42005, "svc_xprt_create" },
	{ 0xf61f4855, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xc20d2463, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbbd06dec, "proc_dointvec_minmax" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
