#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x49148e7c, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xa836379e, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x294246d1, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x74f4d120, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x00baa0bb, "_gpl");
SYMBOL_CRC(br_forward, 0xd9eaea96, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x20232ee6, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x39e96e2a, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x1b1b4453, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x6d759f02, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xc5992113, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x573c6f2d, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x2630c45a, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x4c33e592, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x2be90cdf, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x00a2d7c4, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x443a564e, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xd05b05c2, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x7655dc8a, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xbc01f09b, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xd2316384, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x9daf8b29, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x81fba12a, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x54a9c4ad, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x776bce53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad6614c6, "netdev_lower_get_next" },
	{ 0xa3f2e1b6, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9386148, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0x23a161e4, "__nlmsg_put" },
	{ 0xf3483c15, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x59aedebf, "ipv6_mc_check_mld" },
	{ 0x41e558ae, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb951b839, "call_switchdev_notifiers" },
	{ 0x12856c97, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xba6ed995, "netdev_update_features" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x3848042d, "dev_uc_del" },
	{ 0x4063e3bb, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xea19a78f, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x64cb181, "switchdev_port_obj_act_is_deferred" },
	{ 0x151c1cd, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e163946, "dev_set_promiscuity" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x618371dd, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x33e8ae18, "unregister_netdevice_queue" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcd407a2, "netdev_state_change" },
	{ 0x5ebab4e5, "__pskb_copy_fclone" },
	{ 0xdf2fd136, "__dev_get_by_name" },
	{ 0x4121ead7, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc4658286, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20a521b9, "pskb_expand_head" },
	{ 0xa2591202, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xcc15fcf4, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xdc8977b, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33890d91, "alloc_netdev_mqs" },
	{ 0x74a3487, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcba14d1e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd82b0a68, "__SCK__tp_func_br_mdb_full" },
	{ 0x510b73ae, "rtnl_af_register" },
	{ 0xa5373ff2, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x64c3da89, "kmem_cache_alloc" },
	{ 0xbea4f27a, "rtnl_set_sk_err" },
	{ 0xbc2cf585, "skb_vlan_pop" },
	{ 0x95a63c67, "rtnl_unicast" },
	{ 0xa3e0ac0c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x36c26443, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xcf64117c, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x429fed3d, "__dev_get_by_index" },
	{ 0x623bf683, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xbc1b745b, "dev_get_port_parent_id" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x7f3afe0d, "ipv6_stub" },
	{ 0x1520505c, "inet_confirm_addr" },
	{ 0x9e75c6ed, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa72cf20f, "sysfs_remove_link" },
	{ 0x1c5c1d2d, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x43a1a8b5, "__SCK__tp_func_br_fdb_add" },
	{ 0xd78f55ce, "rtnl_af_unregister" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe4ec7aeb, "arp_send" },
	{ 0xb2a7524e, "dev_get_by_index_rcu" },
	{ 0x580a833a, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xcbd418df, "skb_push" },
	{ 0xe8fa58e4, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf3ca1999, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xf088c0ab, "netdev_upper_dev_unlink" },
	{ 0x8ab05e6a, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x396fb34a, "llc_mac_hdr_init" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xedefb2c3, "__SCK__tp_func_fdb_delete" },
	{ 0xfd1f461b, "kobject_init_and_add" },
	{ 0xb5271828, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ffb8c42, "ns_capable" },
	{ 0x1b79a582, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xc0a6ad78, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x978738c8, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9ea2147e, "arp_create" },
	{ 0x34a4c817, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3c73cf39, "stp_proto_register" },
	{ 0x7a2b5119, "rtnl_register_module" },
	{ 0x7ea42334, "__tracepoint_br_fdb_update" },
	{ 0x990c1244, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2734c37a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xafd1f189, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa27f5542, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0x76702c3f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x111d0bac, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xdd6decbf, "ip_mc_check_igmp" },
	{ 0xee0abf69, "__netdev_alloc_skb" },
	{ 0x61be68f, "rhashtable_destroy" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x77619d7b, "switchdev_port_obj_del" },
	{ 0x6f4b7e8a, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x27f72684, "kobject_create_and_add" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xf63c4aa4, "nf_hook_slow" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc87bb585, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6688e6da, "__ip_mc_inc_group" },
	{ 0x417d9b7d, "netdev_walk_all_upper_dev_rcu" },
	{ 0xeef7724b, "sysfs_remove_group" },
	{ 0xf8666b, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xa6ee9027, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf644994c, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd7bc76a8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x181d0991, "vlan_vid_add" },
	{ 0xc26d2e4f, "neigh_destroy" },
	{ 0x237d757b, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xf5e0e305, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xa3b9f89b, "__SCK__tp_func_br_fdb_update" },
	{ 0xc29c3035, "call_netdevice_notifiers" },
	{ 0xbcc175ee, "is_skb_forwardable" },
	{ 0xa50acd9b, "vlan_vid_del" },
	{ 0xdbac3a67, "dev_set_allmulti" },
	{ 0x59ebd442, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x96b6a5b6, "netdev_master_upper_dev_get" },
	{ 0x89b9bba0, "ipv6_dev_mc_inc" },
	{ 0x9c79494b, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ee7256e, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x465dba6a, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x51d5ba0c, "skb_clone" },
	{ 0x32799ddb, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0x38c6fff4, "metadata_dst_alloc" },
	{ 0x652b5e8a, "dst_release" },
	{ 0x2f0a6df5, "netif_carrier_on" },
	{ 0x814e123, "kobject_uevent" },
	{ 0x3aa12e9, "arp_tbl" },
	{ 0x8d9db2f6, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x21b7802f, "netdev_rx_handler_register" },
	{ 0xb7d639e9, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x98786b65, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x74b6d480, "dev_disable_lro" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x2d4d1b4c, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x57c98db8, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7efa34a0, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x68dd7959, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7e6c97ce, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x6918f22f, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x9bbba3d8, "skb_ext_add" },
	{ 0xaab88837, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xea284ad, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xe407be80, "neigh_lookup" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb828758e, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb390f227, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
