#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x1cebc538, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9e8c8e1c, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xadc2ac89, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x78327574, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x50ddbd7f, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3dc50eaf, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xdca0c5b5, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xdf7e982e, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xa6fc27c5, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x3e7df081, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x17de78d0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x4d827d90, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x2f4aee9b, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0xcd256824, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x6de1a4c5, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x0929c313, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x6247f606, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xc5884ccf, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x9fd91a57, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xe57aa96b, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xd8ef305f, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0xe572df0a, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xb23b45bb, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xb23e4d04, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x3de0c6a9, "_gpl");
SYMBOL_CRC(print_tuple, 0xd1a4983e, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x202e6a45, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x4b63d98e, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x3f92fbc8, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xb8cbbae5, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x58500182, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x9c8ee4dc, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x67d57ec2, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xde5718a8, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xc87d7076, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xc0876dc1, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xdc1243ab, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x3d461f74, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x996657be, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x56ad8798, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x466d0bac, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x4efd1780, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x4dce45cf, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xc8e9e46c, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xa04c664f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xbd495ff9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xc6a7f84e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x3210cdf0, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xe191142d, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x5830a281, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x9859af3c, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xf3c76267, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x652de14b, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x25dcf974, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x69d38adf, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x6e687bf9, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x1c53a8f3, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0x9a4f0c97, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xc03c4172, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xcb1437f6, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x829ed50c, "_gpl");
SYMBOL_CRC(nf_confirm, 0x046fe677, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9bd6261b, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x61449f09, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x95026e07, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x56c17f49, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x07e76589, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x6f15d258, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x3f165456, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x6b6c4249, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x4aa9d090, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x5511dfcf, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x3d247e1d, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x8296d5c8, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x17d667ac, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x7ed5fd7f, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xfe304fd9, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xd2a3173f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x474e959b, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xcf24947e, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x886cad50, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x1251c482, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x673f6635, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x8b08b384, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x465a9607, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x4e148e8d, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x4987c739, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x92542e6e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x5ef917ef, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xcc025640, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x3fb92405, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x466e66c9, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x57bc1444, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6d8efc51, "nf_defrag_ipv4_disable" },
	{ 0xaaf19851, "nf_ip6_checksum" },
	{ 0xfd89135f, "proc_dou8vec_minmax" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0xf6247c91, "param_ops_uint" },
	{ 0x1d80e469, "proc_dointvec_jiffies" },
	{ 0x253ea606, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd591a438, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd209feb9, "nfct_btf_struct_access" },
	{ 0x6138c8fb, "param_set_uint" },
	{ 0xdbddf7bb, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb916a6fc, "nf_ct_frag6_gather" },
	{ 0xa81747b0, "get_net_ns_by_id" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0x62052a8b, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcf268b17, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xa2591202, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x73a9b8a0, "nf_unregister_sockopt" },
	{ 0x81069ad4, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2fabeb4f, "make_kuid" },
	{ 0x4cc32a8c, "nf_defrag_ipv6_disable" },
	{ 0x7f3b8a47, "ipv6_skip_exthdr" },
	{ 0x4e1dad64, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x64c3da89, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x5eea08e6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3094e163, "nf_checksum" },
	{ 0xc34f0480, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x87d5c6c3, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xe8fa58e4, "kmem_cache_free" },
	{ 0x1b96f257, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x86d4d3f3, "nf_checksum_partial" },
	{ 0x8d2e71be, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfeb3549b, "nf_unregister_net_hooks" },
	{ 0xcb463f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2734c37a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xbdc48f24, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa77ac9d8, "nf_log_packet" },
	{ 0x707dd204, "make_kgid" },
	{ 0xbe4c22b4, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x78feaf38, "register_btf_kfunc_id_set" },
	{ 0xd78bf0e7, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf748f04e, "down_read" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x4ccd0ee2, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4041f9fd, "__skb_checksum" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x47c9fd76, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82569ab1, "param_ops_bool" },
	{ 0x3d61627c, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa7857944, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x1a056ee9, "proc_dointvec" },
	{ 0x991143b0, "seq_puts" },
	{ 0xdcc8480, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa7d85500, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x576cf246, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xaceb916e, "pskb_trim_rcsum_slow" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x59f5852a, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x6e574007, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "711B16A0039BE820C39888A");
MODULE_INFO(rhelversion, "9.6");
