#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gss_krb5_lookup_enctype, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(gss_krb5_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_encrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_cbc_cts_decrypt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_etm_checksum, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(krb5_nfold, "", "EXPORTED_FOR_KUNIT_TESTING");

SYMBOL_CRC(gss_krb5_lookup_enctype, 0xadeef319, "");
SYMBOL_CRC(gss_krb5_checksum, 0x772c57c2, "");
SYMBOL_CRC(krb5_cbc_cts_encrypt, 0x53fbb97e, "");
SYMBOL_CRC(krb5_cbc_cts_decrypt, 0xa6e3aa0a, "");
SYMBOL_CRC(krb5_etm_checksum, 0xfd68b33e, "");
SYMBOL_CRC(krb5_nfold, 0x3c849d4f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e77acc0, "crypto_skcipher_encrypt" },
	{ 0x8df82eb1, "crypto_alloc_ahash" },
	{ 0x93aa383, "xdr_buf_trim" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbcec2e34, "xdr_process_buf" },
	{ 0x74deea44, "read_bytes_from_xdr_buf" },
	{ 0x544c5c80, "crypto_ahash_setkey" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe8b44567, "crypto_skcipher_setkey" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfe4d66d3, "gss_mech_unregister" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52f3b252, "crypto_skcipher_decrypt" },
	{ 0x266bd82a, "crypto_shash_setkey" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x86a8cdf2, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xfb578fc5, "memset" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf09c4212, "xdr_buf_subsegment" },
	{ 0x22a41b6f, "crypto_alloc_sync_skcipher" },
	{ 0xf349c99e, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5753e378, "crypto_shash_final" },
	{ 0x5fe33133, "gss_mech_register" },
	{ 0xf54bd49b, "lcm" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0xf490d18, "write_bytes_to_xdr_buf" },
	{ 0xb3bd0cab, "crypto_alloc_shash" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,auth_rpcgss");


MODULE_INFO(srcversion, "7821F90262CC4AC5E9419FB");
MODULE_INFO(rhelversion, "9.6");
