#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x5c577ad8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x41e95041, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x97db997a, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0xa9fa845d, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0xfeeb8e7c, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0xa0b43f63, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x1232d5e3, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x6c7b0222, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x1736abf2, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x1802edd8, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x5a30e0ec, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x8cead7dc, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xacdcd296, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0xcfccf6c5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xffa2949c, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x832a41bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xf8a423bf, "vmf_insert_pfn" },
	{ 0xd4f2b908, "ww_mutex_lock_interruptible" },
	{ 0x9e8b5b43, "drm_gem_get_pages" },
	{ 0x4ebf2587, "dma_buf_vmap" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xdbfcce64, "invalidate_mapping_pages" },
	{ 0x4bf82fac, "ww_mutex_unlock" },
	{ 0x4e5a1ec, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x35079e90, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x66a6e693, "drm_gem_create_mmap_offset" },
	{ 0x96ab6468, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x950730c2, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x434c4d26, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc7f20a20, "set_pages_array_wb" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd5ad654, "drm_gem_vm_close" },
	{ 0xb4b82272, "drm_gem_vm_open" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0xaa59b147, "drm_gem_object_release" },
	{ 0xbfe18b53, "ww_mutex_lock" },
	{ 0xb0483449, "vmap" },
	{ 0xc844cda, "drm_gem_handle_create" },
	{ 0xb1822345, "__drm_dev_dbg" },
	{ 0x74ca92ab, "drm_prime_pages_to_sg" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d2f7494, "dma_buf_vunmap" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd75d3120, "shmem_truncate_range" },
	{ 0x848ab59d, "set_pages_array_wc" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xe557b87f, "dma_map_sgtable" },
	{ 0x3307304e, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0x13ec55d, "dma_unmap_sg_attrs" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0xf53c6dc0, "drm_gem_put_pages" },
	{ 0xdd742851, "drm_gem_private_object_fini" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xb626d43a, "drm_prime_gem_destroy" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
