#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x802ac42c, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x8250e6c5, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x9cdecae2, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x2a07884c, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x7473c1a4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x4ed622c2, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xc56bf3f8, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x7816c38e, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xd551030a, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x539c08cd, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x00ae5698, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x92e42bd8, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x94d4b062, "_gpl");
SYMBOL_CRC(usbnet_open, 0xd6e3ec49, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x9d2cf626, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x06f32ae3, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb54fac71, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x647f785d, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x6793e784, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xbad6b2cc, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xf89a8ac6, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x2548c62a, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x47b2595e, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x207e62fe, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x2f2155a4, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x5f1f363a, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xbc9c5358, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xee6f7f8d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xbe6b0d01, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xb0c291a5, "");
SYMBOL_CRC(usbnet_manage_power, 0x576630a4, "");
SYMBOL_CRC(usbnet_link_change, 0xd8b33221, "");
SYMBOL_CRC(usbnet_read_cmd, 0xbbedfe1c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x0c9a7845, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x35abed7d, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xa14c1780, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xbf522fd2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb7368b7c, "usb_set_interface" },
	{ 0xfb7612d9, "usb_string" },
	{ 0x2d78e6db, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5c298fd4, "skb_defer_rx_timestamp" },
	{ 0x111d0bac, "netif_rx" },
	{ 0x79dd3c53, "eth_type_trans" },
	{ 0x6a068466, "skb_queue_tail" },
	{ 0xc87bb585, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x12c787e7, "skb_queue_purge_reason" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xe8dbd00a, "usb_get_urb" },
	{ 0x4ce9e6cb, "usb_unlink_urb" },
	{ 0x40860ae7, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c91d4c3, "usb_submit_urb" },
	{ 0xc4658286, "netdev_err" },
	{ 0x48298062, "mii_ethtool_get_link_ksettings" },
	{ 0x9b68f143, "mii_ethtool_set_link_ksettings" },
	{ 0xb82a87e6, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x79ff012f, "unregister_netdev" },
	{ 0x21b36f75, "usb_scuttle_anchored_urbs" },
	{ 0x7025a1cf, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0x501b3294, "netdev_info" },
	{ 0x2f0a6df5, "netif_carrier_on" },
	{ 0x1ee7256e, "netif_carrier_off" },
	{ 0x94622abf, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xab8d3a80, "usb_autopm_get_interface" },
	{ 0xbf4a6923, "usb_autopm_put_interface" },
	{ 0x6f7c6e21, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x38c4d30, "mii_link_ok" },
	{ 0x978738c8, "ethtool_op_get_link" },
	{ 0x545b7713, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc33d1848, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa4be932e, "remove_wait_queue" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x4448092e, "netif_device_detach" },
	{ 0xaaf903d2, "netif_device_attach" },
	{ 0xb4f1b99e, "skb_dequeue" },
	{ 0x2f5b5754, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x85df7e01, "register_netdev" },
	{ 0x2cb8f6fe, "pm_runtime_enable" },
	{ 0x5a7bf961, "skb_clone_tx_timestamp" },
	{ 0x44d57c5b, "usb_autopm_get_interface_async" },
	{ 0x7efa34a0, "dev_kfree_skb_any_reason" },
	{ 0x8717350d, "skb_tstamp_tx" },
	{ 0xf0e25c0, "usb_anchor_urb" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xee0abf69, "__netdev_alloc_skb" },
	{ 0x64341b5a, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbeade862, "__wake_up" },
	{ 0x36097b31, "netif_tx_wake_queue" },
	{ 0xb712ae61, "usb_get_from_anchor" },
	{ 0xe37202ab, "usb_autopm_get_interface_no_resume" },
	{ 0x41e558ae, "skb_put" },
	{ 0x51ed8f87, "usb_clear_halt" },
	{ 0xcb40f04b, "eth_mac_addr" },
	{ 0xe920f8c1, "eth_validate_addr" },
	{ 0x76702c3f, "dev_get_tstats64" },
	{ 0x72de63, "ethtool_op_get_ts_info" },
	{ 0x519b2b47, "param_ops_int" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
