#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x9e3ea09e, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x1641c792, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x024659d2, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xc0aa2162, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x418c5dbe, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x280faf2a, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x46a6ec98, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xe5d518e8, "");
SYMBOL_CRC(nvdimm_region_notify, 0x3c6c128e, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x5f1c7625, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x449fe8ba, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x6f256001, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x36431e4b, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x2081bc4b, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x28f41e65, "");
SYMBOL_CRC(nd_device_unregister, 0x5f9bb4b9, "");
SYMBOL_CRC(__nd_driver_register, 0x8d91ba6c, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x4b4d0f88, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xa33246cc, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xc080a0f0, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x5eb4266b, "_gpl");
SYMBOL_CRC(to_ndd, 0xdd9a6137, "");
SYMBOL_CRC(nvdimm_name, 0xc8aceb7e, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x4698fa3d, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xc60262ac, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x6c4e6a96, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x0609127a, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x9c5ba8df, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x022f6713, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x61244fd6, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x92ea0a8b, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x65891f68, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x9edcc047, "_gpl");
SYMBOL_CRC(to_nd_region, 0xee641689, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xf21a5fa9, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xdb549a32, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x4fbc3169, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x0c292f43, "");
SYMBOL_CRC(nd_region_release_lane, 0x3527264a, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x10e73f9d, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x07e9b0bb, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x92ad3073, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0xdb2aac90, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x6927890e, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x9b5abb64, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x26ba2b15, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x88646471, "");
SYMBOL_CRC(pmem_sector_size, 0x3be7de2c, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x3e81d5a8, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x5cabc3c0, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xfb3f2ec0, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xae1285c5, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xa8b0dd26, "");
SYMBOL_CRC(devm_namespace_enable, 0x2a2e1332, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x8787e4bf, "_gpl");
SYMBOL_CRC(badrange_init, 0xed107b8b, "_gpl");
SYMBOL_CRC(badrange_add, 0xe7cc520d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x74d2b0f8, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xfd95e923, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xfd5c6712, "");
SYMBOL_CRC(is_nd_btt, 0x24c929ef, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0xac0e51c8, "");
SYMBOL_CRC(nd_btt_version, 0x6e969772, "");
SYMBOL_CRC(nd_btt_probe, 0x73f66d5a, "");
SYMBOL_CRC(to_nd_pfn, 0xd76f02db, "");
SYMBOL_CRC(is_nd_pfn, 0x2e6f45db, "");
SYMBOL_CRC(nd_pfn_validate, 0x028fdb2f, "");
SYMBOL_CRC(nd_pfn_probe, 0xb6a4a6db, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x06826d31, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x483ecac6, "");
SYMBOL_CRC(is_nd_dax, 0x4882b9ae, "");
SYMBOL_CRC(nd_dax_probe, 0xcd55c856, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7d9ceb95, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0x57bc1444, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xddd66317, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x6fb3256c, "devm_memremap" },
	{ 0x391cd80f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52da6396, "badblocks_set" },
	{ 0x196c51b9, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd5eb35fe, "finish_wait" },
	{ 0x973805f0, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x5a50e7e4, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x56b7d54b, "badblocks_exit" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x57ecf531, "device_for_each_child" },
	{ 0x1e1a3762, "prepare_to_wait_event" },
	{ 0xbeade862, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x6a7b2225, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x2d78e6db, "__dynamic_dev_dbg" },
	{ 0x9e4ecde6, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x950730c2, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1ead9be9, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2a0fb48f, "put_device" },
	{ 0x5490c134, "badblocks_show" },
	{ 0x88d43370, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xe91da209, "_dev_info" },
	{ 0x5eea08e6, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xeb30ebf9, "compat_ptr_ioctl" },
	{ 0x23477aaf, "perf_pmu_migrate_context" },
	{ 0x9be476d4, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe748017, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ba97661, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x8b23880c, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x916fea6f, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xea05d2, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xd819e546, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0xc0976af9, "class_create" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x1c7e43e5, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x88c399e1, "ida_free" },
	{ 0x9f0b2ace, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x22f21580, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbedbc5c, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8872732a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xf748f04e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xd857e6c1, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x82569ab1, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x5eb3cb35, "__devm_release_region" },
	{ 0xf5e85c30, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe436bb16, "kernfs_put" },
	{ 0xc928a9d4, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9a9b9764, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x6de011c2, "badblocks_check" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0xb0cf4715, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0xb81954e5, "badblocks_clear" },
	{ 0x8f53cfac, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0xbb1f2d5a, "driver_register" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xb57d7274, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.6");
