#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x3bbab073, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x15bf6898, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xb3e3b73e, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0xd173b174, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0xea6b49d3, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xd7356b1d, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x431f668b, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x4a949f80, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x7a8c407d, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xfa16ade8, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xbd59d862, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff391c3, "filp_open" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0xf4e9ae79, "bdev_file_open_by_path" },
	{ 0x57bc1444, "try_module_get" },
	{ 0x599b5ca1, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0x40cbae5d, "config_group_init" },
	{ 0x64cb7b97, "config_group_find_item" },
	{ 0xc5e56a65, "radix_tree_insert" },
	{ 0xda8d8941, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc989a1d2, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfcca3671, "radix_tree_lookup" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4247605c, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68233be7, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0xab9018b2, "pci_p2pmem_free_sgl" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0x6a7b2225, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x7ae07375, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x56e5b790, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x2f3bc319, "mempool_create" },
	{ 0x5b104bb5, "crypto_alloc_kpp" },
	{ 0xfb122b8a, "vfs_fallocate" },
	{ 0x8ec0ce29, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2a0fb48f, "put_device" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xebbdcccb, "mempool_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcf3fc230, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0x42ef6ccc, "submit_bio" },
	{ 0x5eea08e6, "module_put" },
	{ 0x8d9cb161, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9e1387de, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xe748017, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x73c402ed, "bio_put" },
	{ 0x4988c9bb, "radix_tree_delete" },
	{ 0xd034c97b, "bio_endio" },
	{ 0xcfdde3b0, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0xaed4ae9d, "fput" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0x266bd82a, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf4f12ca1, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x91018a3f, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe857b638, "xa_load" },
	{ 0x6d990c78, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x4f969b3e, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x730612cd, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x25615032, "bio_chain" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x88c399e1, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x12b7d5f1, "pci_p2pdma_enable_store" },
	{ 0x2a34bbdb, "pci_p2pmem_alloc_sgl" },
	{ 0x6a1aebe1, "bio_add_page" },
	{ 0x86a8cdf2, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x12e86ea2, "bio_integrity_alloc" },
	{ 0x469e6019, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0x69a10055, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x8a4ec6f9, "bio_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x2a176af3, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x3a608259, "pci_p2pdma_enable_show" },
	{ 0xf748f04e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x2602f49b, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xa46c8176, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0x5753e378, "crypto_shash_final" },
	{ 0xbb56a301, "vfs_fsync" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x449580e8, "xa_destroy" },
	{ 0x610278d5, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x5233061, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x13df0a0, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x78a54e3c, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa7d3370c, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x79b6fc17, "xa_find_after" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xa0390ba5, "pci_p2pmem_find_many" },
	{ 0xb3bd0cab, "crypto_alloc_shash" },
	{ 0xfc693173, "nvme_auth_gen_privkey" },
	{ 0x77df5d49, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x46f6b8f8, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x6f0d468, "submit_bio_wait" },
	{ 0xdc1442d6, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x15f1fa64, "__blkdev_issue_discard" },
	{ 0x25a18316, "fs_bio_set" },
	{ 0x870062b1, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "231A7E58FA3077D7F234ABB");
MODULE_INFO(rhelversion, "9.6");
