#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x1bba1942, "");
SYMBOL_CRC(sas_remove_host, 0x900b5f06, "");
SYMBOL_CRC(sas_get_address, 0x83f4b629, "");
SYMBOL_CRC(sas_tlr_supported, 0x4efcfeeb, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x0c8cf5b1, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x158615bc, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x07e19feb, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x155ba73a, "");
SYMBOL_CRC(sas_phy_add, 0x9be8b8a3, "");
SYMBOL_CRC(sas_phy_free, 0xbac8b3f3, "");
SYMBOL_CRC(sas_phy_delete, 0x96cc2a12, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x15aa5957, "");
SYMBOL_CRC(sas_port_alloc, 0xac10efd1, "");
SYMBOL_CRC(sas_port_alloc_num, 0xdd127a00, "");
SYMBOL_CRC(sas_port_add, 0x887b52da, "");
SYMBOL_CRC(sas_port_free, 0x52b491dc, "");
SYMBOL_CRC(sas_port_delete, 0x2486047c, "");
SYMBOL_CRC(scsi_is_sas_port, 0xbacfe204, "");
SYMBOL_CRC(sas_port_get_phy, 0xeb31f5ea, "");
SYMBOL_CRC(sas_port_add_phy, 0x00aa75f6, "");
SYMBOL_CRC(sas_port_delete_phy, 0x71e6e411, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xb055a911, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x3f2ca4f1, "");
SYMBOL_CRC(sas_end_device_alloc, 0xfce95c04, "");
SYMBOL_CRC(sas_expander_alloc, 0x6a26bc62, "");
SYMBOL_CRC(sas_rphy_add, 0xc8a5068e, "");
SYMBOL_CRC(sas_rphy_free, 0x1b040385, "");
SYMBOL_CRC(sas_rphy_delete, 0x5f50eeab, "");
SYMBOL_CRC(sas_rphy_unlink, 0xd201b5ce, "");
SYMBOL_CRC(sas_rphy_remove, 0xd01e66a3, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x8620b44a, "");
SYMBOL_CRC(sas_attach_transport, 0x9e2a5f62, "");
SYMBOL_CRC(sas_release_transport, 0xbd2f1eb2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed5a41d7, "attribute_container_register" },
	{ 0xa72cf20f, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xbdf71ac9, "dev_printk" },
	{ 0x6ae45e06, "scsi_get_vpd_page" },
	{ 0x7c7c4558, "scsi_mode_sense" },
	{ 0x99694ba2, "attribute_container_unregister" },
	{ 0x8b1b4b17, "scsi_remove_host" },
	{ 0x8e5ff340, "bsg_remove_queue" },
	{ 0x7d609be7, "scsi_remove_target" },
	{ 0xf8c846, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8872732a, "_dev_warn" },
	{ 0xf88787d8, "bsg_job_done" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xa9e6cbd6, "dma_opt_mapping_size" },
	{ 0x5a50e7e4, "device_initialize" },
	{ 0x391cd80f, "dev_set_name" },
	{ 0x1c1542cb, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x57ecf531, "device_for_each_child" },
	{ 0x2a0fb48f, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xea05d2, "device_add" },
	{ 0x241603fa, "transport_add_device" },
	{ 0x64b956c, "transport_configure_device" },
	{ 0xb80e9a7c, "device_del" },
	{ 0x2e93794, "transport_destroy_device" },
	{ 0x5e3f65a2, "transport_remove_device" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x6a7b2225, "get_device" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xa3e0ac0c, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x815487ab, "scsi_scan_target" },
	{ 0x617331bc, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xa5a9a5e9, "transport_class_register" },
	{ 0x498cfccc, "transport_class_unregister" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
