#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0xf938f404, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xa23ced9a, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x554c476f, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0xac7157d7, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x3121297a, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x8899b5c5, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0xb69915bb, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0x2393a66c, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xeccded38, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x07ce0c51, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0x6dd57eea, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x5177b88c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a0fb48f, "put_device" },
	{ 0x196c51b9, "device_unregister" },
	{ 0xbb1f2d5a, "driver_register" },
	{ 0x9f0b2ace, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xe13b64ee, "bus_for_each_dev" },
	{ 0xf748f04e, "down_read" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x98e8ff8b, "genl_unregister_family" },
	{ 0x5ba97661, "bus_unregister" },
	{ 0x3e6aec4, "ida_destroy" },
	{ 0xb57d7274, "bus_register" },
	{ 0x666150d2, "genl_register_family" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd9003a6e, "dma_set_mask" },
	{ 0xa999b581, "dma_set_coherent_mask" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd8d1e63c, "ida_alloc_range" },
	{ 0x391cd80f, "dev_set_name" },
	{ 0xf6163197, "__init_rwsem" },
	{ 0x5a50e7e4, "device_initialize" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbd1d35c2, "netlink_capable" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0xea9257f8, "genlmsg_put" },
	{ 0x754d539c, "strlen" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xd582543b, "netlink_unicast" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f5297b7, "down_write" },
	{ 0x39ce43c3, "up_write" },
	{ 0x88c399e1, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd03e24b3, "driver_set_override" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xdbec4e70, "bus_find_device" },
	{ 0xea05d2, "device_add" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E6E1ABFDEECC213CA239F01");
MODULE_INFO(rhelversion, "9.6");
