#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xa9a4831a, "");
SYMBOL_CRC(wpan_phy_for_each, 0x4fc5c381, "");
SYMBOL_CRC(wpan_phy_new, 0x88354b45, "");
SYMBOL_CRC(wpan_phy_register, 0x49dddc66, "");
SYMBOL_CRC(wpan_phy_unregister, 0x2f5df9ba, "");
SYMBOL_CRC(wpan_phy_free, 0x65889a89, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xb92545f2, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x40019e1e, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xc0ac8de3, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xc9e4cec6, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x60d2164e, "bpf_trace_run4" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x391cd80f, "dev_set_name" },
	{ 0x894c2e88, "trace_output_call" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xd5eb35fe, "finish_wait" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0x5a50e7e4, "device_initialize" },
	{ 0xea9257f8, "genlmsg_put" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x68233be7, "bpf_trace_run2" },
	{ 0x1e1a3762, "prepare_to_wait_event" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0xbeade862, "__wake_up" },
	{ 0x6a7b2225, "get_device" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeadd0027, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55e19d3b, "device_rename" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2a0fb48f, "put_device" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0x15fcc6c2, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x429fed3d, "__dev_get_by_index" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x9e75c6ed, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xea05d2, "device_add" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xd582543b, "netlink_unicast" },
	{ 0x3b71fc0b, "dev_get_by_index" },
	{ 0xcbd418df, "skb_push" },
	{ 0xf00a075f, "nla_put" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0x46ddd72c, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb17d7d6d, "unregister_pernet_device" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x69a10055, "bpf_trace_run1" },
	{ 0xb80e9a7c, "device_del" },
	{ 0x9067f6b8, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6ad6992d, "bpf_trace_run3" },
	{ 0x4ccd0ee2, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb2f52fcb, "get_net_ns_by_pid" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5376424c, "device_match_name" },
	{ 0x85a8e4fa, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x98e8ff8b, "genl_unregister_family" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x666150d2, "genl_register_family" },
	{ 0xbfb4e8f7, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3410ac15, "register_pernet_device" },
	{ 0x6766c871, "get_net_ns_by_fd" },
	{ 0x4aca54a9, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xb66065f4, "class_find_device" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "190F46991CF0176DC413D95");
MODULE_INFO(rhelversion, "9.6");
