#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x88e0e3c9, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x99c6ed5a, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x2f9b93d1, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xa6d2f52d, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x8fa1e81a, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x560338fe, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x5ea66f7d, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x1d3c361d, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xdff92bcd, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x0d2557ef, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x529919e6, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x7dfcd768, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x06e9e143, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x33414e5b, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x6ce029a9, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x07131c21, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x4463a457, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc26ffcf7, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x942fae17, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x4652b7de, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x081898f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x430b588d, "iptun_encaps" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x33890d91, "alloc_netdev_mqs" },
	{ 0xb390f227, "register_netdevice" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x33e8ae18, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6e416900, "ip_route_output_flow" },
	{ 0x652b5e8a, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x429fed3d, "__dev_get_by_index" },
	{ 0x90477f8d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3053848f, "gro_cells_init" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0xcd407a2, "netdev_state_change" },
	{ 0x7ffb8c42, "ns_capable" },
	{ 0xa3f2e1b6, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x260cc629, "ipv4_mtu" },
	{ 0x11f1685c, "icmpv6_ndo_send" },
	{ 0x6ee65957, "icmp_ndo_send" },
	{ 0x20a521b9, "pskb_expand_head" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xc831ddc1, "__skb_get_hash_net" },
	{ 0x48ad72de, "dst_cache_get_ip4" },
	{ 0x9bb48f13, "dst_cache_set_ip4" },
	{ 0x55817bc8, "iptunnel_xmit" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xa3a9c94e, "skb_scrub_packet" },
	{ 0x8e68c827, "gro_cells_receive" },
	{ 0x79dd3c53, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc26d2e4f, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA277ABD94D01FCFFFB5F0");
MODULE_INFO(rhelversion, "9.6");
