#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x1d83caf8, "");
SYMBOL_CRC(ieee802154_free_hw, 0xed3366d8, "");
SYMBOL_CRC(ieee802154_register_hw, 0xdba7f913, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x4e4b9532, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x58322ec7, "");
SYMBOL_CRC(ieee802154_wake_queue, 0xd184ec33, "");
SYMBOL_CRC(ieee802154_stop_queue, 0xe0c312cf, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xffb28d75, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e77acc0, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x60d2164e, "bpf_trace_run4" },
	{ 0x41e558ae, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0xb4f1b99e, "skb_dequeue" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0x1635de98, "hrtimer_init" },
	{ 0x2c653de6, "dev_alloc_name" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x2e1cd065, "crypto_alloc_aead" },
	{ 0x68233be7, "bpf_trace_run2" },
	{ 0x5bb81722, "netdev_warn" },
	{ 0x38a0fa56, "crypto_aead_setauthsize" },
	{ 0xe21a862, "crypto_aead_decrypt" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xe8b44567, "crypto_skcipher_setkey" },
	{ 0x33e8ae18, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc0ac8de3, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f5df9ba, "wpan_phy_unregister" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x831b3336, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33890d91, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0x52f3b252, "crypto_skcipher_decrypt" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0xdfbcb8e3, "skb_copy_expand" },
	{ 0x6a068466, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x1015da6c, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x49dddc66, "wpan_phy_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26752a1d, "crypto_aead_encrypt" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xcbd418df, "skb_push" },
	{ 0xc9e4cec6, "ieee802154_hdr_peek" },
	{ 0x65889a89, "wpan_phy_free" },
	{ 0x8ab05e6a, "netif_receive_skb" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x69a10055, "bpf_trace_run1" },
	{ 0x36097b31, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x8872732a, "_dev_warn" },
	{ 0x1e9900ee, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40019e1e, "ieee802154_hdr_pull" },
	{ 0x22a41b6f, "crypto_alloc_sync_skcipher" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc87bb585, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6ad6992d, "bpf_trace_run3" },
	{ 0x11099ddd, "rt_read_lock" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0x6f16ebc5, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x88354b45, "wpan_phy_new" },
	{ 0x51d5ba0c, "skb_clone" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf645b0c8, "hrtimer_cancel" },
	{ 0xb92545f2, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x7efa34a0, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb390f227, "register_netdevice" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "140396463CF883F90E7FB4B");
MODULE_INFO(rhelversion, "9.6");
