#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd573c366, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x6e90b072, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x21b77628, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x5594584d, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x44866ecc, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x2da255ce, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x5c578128, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x2d1e3e44, "");
SYMBOL_CRC(ip_vs_conn_put, 0x54bcc6fb, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0xe7a60095, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xd2c69b61, "");
SYMBOL_CRC(register_ip_vs_app, 0x1b0b49c7, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x90b3f2b5, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x94c6e15f, "");
SYMBOL_CRC(ip_vs_proto_get, 0xcc74bb6b, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x9871cb10, "");
SYMBOL_CRC(register_ip_vs_pe, 0xf678a4d8, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xe1abd456, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xa8f88ef7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e76589, "nf_ct_ext_add" },
	{ 0xa6fc27c5, "nf_conntrack_find_get" },
	{ 0x57bc1444, "try_module_get" },
	{ 0x13fe03c8, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa53a8141, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0x6913680d, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1d80e469, "proc_dointvec_jiffies" },
	{ 0x253ea606, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xe0a6ca45, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x824df2a, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd591a438, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x9bd6261b, "nf_ct_netns_get" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0xd5eb35fe, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa5d20114, "kernel_bind" },
	{ 0xea9257f8, "genlmsg_put" },
	{ 0x302fe8fd, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8655feed, "ip6_route_me_harder" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x1e1a3762, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc555a842, "__module_get" },
	{ 0x6e416900, "ip_route_output_flow" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x472eb8d0, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xdf2fd136, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xcf268b17, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20a521b9, "pskb_expand_head" },
	{ 0xa2591202, "register_pernet_subsys" },
	{ 0x5087b8c0, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x73a9b8a0, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4e1dad64, "nf_register_net_hooks" },
	{ 0xdcaad2c9, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x64c3da89, "kmem_cache_alloc" },
	{ 0xb7548f0c, "ipv6_sock_mc_join" },
	{ 0x5eea08e6, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x36c26443, "ipv6_dev_get_saddr" },
	{ 0xc831ddc1, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xd582543b, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xdc1243ab, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6247f606, "nf_conntrack_alter_reply" },
	{ 0xf04f6c50, "ip_route_me_harder" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xcbd418df, "skb_push" },
	{ 0xe8fa58e4, "kmem_cache_free" },
	{ 0x1b96f257, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd338f92d, "proc_doulongvec_minmax" },
	{ 0xde5718a8, "nf_ct_expect_alloc" },
	{ 0x8d2e71be, "skb_ensure_writable" },
	{ 0xee4d22dc, "iov_iter_kvec" },
	{ 0x3b3d90e0, "ip_mc_join_group" },
	{ 0xc0876dc1, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7ffb8c42, "ns_capable" },
	{ 0xfeb3549b, "nf_unregister_net_hooks" },
	{ 0x1b79a582, "inet_select_addr" },
	{ 0xb17d7d6d, "unregister_pernet_device" },
	{ 0xcb463f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x98bbd4aa, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x108cb48c, "kthread_stop" },
	{ 0x4d827d90, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x2734c37a, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xd165c9c4, "kernel_connect" },
	{ 0x32996f3e, "skb_checksum" },
	{ 0xbdc48f24, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xac22cc2d, "__icmpv6_send" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0xdf7e982e, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xf63c4aa4, "nf_hook_slow" },
	{ 0x84e373bc, "mutex_trylock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe6bb071a, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x474e959b, "nf_ct_deliver_cached_events" },
	{ 0x4a204be2, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb0c1ce13, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6aa862c1, "__icmp_send" },
	{ 0x260cc629, "ipv4_mtu" },
	{ 0x999e8297, "vfree" },
	{ 0x35185e32, "skb_set_owner_w" },
	{ 0x4041f9fd, "__skb_checksum" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe22a2795, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3134b647, "init_user_ns" },
	{ 0xc87d7076, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda80fc96, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2004b68a, "seq_printf" },
	{ 0xa1da2f8d, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc744c6c9, "proc_create_net_single" },
	{ 0xb85b7f55, "ipv4_update_pmtu" },
	{ 0xa7857944, "nf_defrag_ipv6_enable" },
	{ 0x652b5e8a, "dst_release" },
	{ 0xabf561c, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1a056ee9, "proc_dointvec" },
	{ 0x991143b0, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xa7d85500, "unregister_net_sysctl_table" },
	{ 0x73112a4b, "ip_local_out" },
	{ 0x98e8ff8b, "genl_unregister_family" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xe4de206e, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x519b2b47, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x666150d2, "genl_register_family" },
	{ 0xd17f40d3, "kernel_sendmsg" },
	{ 0x61449f09, "nf_ct_netns_put" },
	{ 0x3410ac15, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x6e574007, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbbd06dec, "proc_dointvec_minmax" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "331E4E78A77EA0F25DFBF07");
MODULE_INFO(rhelversion, "9.6");
