#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x18601b7f, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x7c743436, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x9a4b6a13, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xac910af8, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x612e09ff, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xaf13e1a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e76589, "nf_ct_ext_add" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7d3aa2e5, "nsh_pop" },
	{ 0xa6fc27c5, "nf_conntrack_find_get" },
	{ 0x17d667ac, "nf_ct_set_timeout" },
	{ 0x8b36e526, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x57bc1444, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8b3ab9c4, "dev_fill_metadata_dst" },
	{ 0x60d2164e, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5ef917ef, "nf_ct_handle_fragments" },
	{ 0xcb40f04b, "eth_mac_addr" },
	{ 0x41e558ae, "skb_put" },
	{ 0x1d10ca9d, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6c2d6933, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x25b42240, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15a59df, "skb_eth_pop" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0x2825dad2, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xa04c664f, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x4e148e8d, "nf_ct_helper" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x3a6e889f, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0xcd5a2a58, "rtnl_delete_link" },
	{ 0x4063e3bb, "rtnl_link_register" },
	{ 0x465a9607, "nf_connlabels_put" },
	{ 0xea9257f8, "genlmsg_put" },
	{ 0xa41ede43, "___pskb_trim" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbd19106f, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x5e163946, "dev_set_promiscuity" },
	{ 0x7ed5fd7f, "nf_ct_destroy_timeout" },
	{ 0x4987c739, "nf_ct_add_helper" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4efd1780, "nf_conntrack_helper_put" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x606696f4, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92542e6e, "nf_ct_skb_network_trim" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0x33e8ae18, "unregister_netdevice_queue" },
	{ 0x4a481a2f, "kmem_cache_create" },
	{ 0x17dfbc20, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9493fc86, "node_states" },
	{ 0x4121ead7, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeadd0027, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20a521b9, "pskb_expand_head" },
	{ 0x1319a2f1, "skb_csum_hwoffload_help" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x673f6635, "nf_connlabels_replace" },
	{ 0x79dd3c53, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x33890d91, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8b08b384, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xcba14d1e, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0xc0f52b85, "skb_eth_push" },
	{ 0x79c95528, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x64c3da89, "kmem_cache_alloc" },
	{ 0x2eea57c5, "skb_mpls_pop" },
	{ 0xbc2cf585, "skb_vlan_pop" },
	{ 0xaace570f, "dst_init" },
	{ 0x5eea08e6, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xc831ddc1, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x623bf683, "rtnl_link_unregister" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0x24f3c3c1, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x7f3afe0d, "ipv6_stub" },
	{ 0xa1e68874, "skb_mpls_update_lse" },
	{ 0x9e75c6ed, "skb_pull" },
	{ 0x6cabffd9, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xd582543b, "netlink_unicast" },
	{ 0x7b78ac10, "bpf_trace_run5" },
	{ 0xb2a7524e, "dev_get_by_index_rcu" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xcbd418df, "skb_push" },
	{ 0xe8fa58e4, "kmem_cache_free" },
	{ 0xf088c0ab, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0x8d2e71be, "skb_ensure_writable" },
	{ 0x7d999d6b, "free_netdev" },
	{ 0xb5271828, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb17d7d6d, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x978738c8, "ethtool_op_get_link" },
	{ 0x4d827d90, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dce45cf, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe7879e79, "__pskb_pull_tail" },
	{ 0xdf7e982e, "nf_ct_delete" },
	{ 0xd286ea42, "nf_conncount_init" },
	{ 0x5550db4f, "skb_vlan_push" },
	{ 0x76702c3f, "dev_get_tstats64" },
	{ 0x111d0bac, "netif_rx" },
	{ 0xee0abf69, "__netdev_alloc_skb" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0x6f4b7e8a, "netdev_master_upper_dev_link" },
	{ 0x52d8e2db, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf748f04e, "down_read" },
	{ 0x90a37b8c, "inet_proto_csum_replace16" },
	{ 0xd4069ff5, "skb_trim" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa3a9c94e, "skb_scrub_packet" },
	{ 0x474e959b, "nf_ct_deliver_cached_events" },
	{ 0xb0c1ce13, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa871f646, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0xd7bc76a8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0x4041f9fd, "__skb_checksum" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x3d61627c, "inet_proto_csum_replace4" },
	{ 0x5518551, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4d24b323, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x96b6a5b6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x85a8e4fa, "dev_get_by_name" },
	{ 0x51d5ba0c, "skb_clone" },
	{ 0x38c6fff4, "metadata_dst_alloc" },
	{ 0x652b5e8a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43e445cd, "peernet2id_alloc" },
	{ 0x78327574, "nf_ct_get_tuplepr" },
	{ 0x21b7802f, "netdev_rx_handler_register" },
	{ 0x66695c0, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x98e8ff8b, "genl_unregister_family" },
	{ 0x74b6d480, "dev_disable_lro" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x7efa34a0, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x666150d2, "genl_register_family" },
	{ 0xdca0c5b5, "nf_ct_tmpl_free" },
	{ 0xf45ce96d, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5ec9951e, "__skb_gso_segment" },
	{ 0xd7cbe3eb, "up_read" },
	{ 0x93f6f437, "skb_mpls_push" },
	{ 0x3410ac15, "register_pernet_device" },
	{ 0x929c313, "nf_conntrack_in" },
	{ 0x59f5852a, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x8266e1e, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb092acce, "kmem_cache_destroy" },
	{ 0x92024cf1, "__skb_vlan_pop" },
	{ 0x3dc50eaf, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb390f227, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "AC0920AF4C02966DA61C801");
MODULE_INFO(rhelversion, "9.6");
