#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x2f91ce16, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x12b47d06, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xe6027661, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x303cf853, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xea949268, "sock_queue_rcv_skb_reason" },
	{ 0xe0009e87, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x60d2164e, "bpf_trace_run4" },
	{ 0xb93b5022, "skb_copy_bits" },
	{ 0xc5e56a65, "radix_tree_insert" },
	{ 0x41e558ae, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x64341b5a, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x124adca6, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0xfcca3671, "radix_tree_lookup" },
	{ 0xf555e909, "rt_mutex_base_init" },
	{ 0x29a010af, "trace_event_printf" },
	{ 0xa5d20114, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xb0c49f04, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xbff8cc1d, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa6674a69, "__tracepoint_sk_data_ready" },
	{ 0xb2e79a4c, "event_triggers_call" },
	{ 0xbeade862, "__wake_up" },
	{ 0xc555a842, "__module_get" },
	{ 0x49c58936, "kernel_recvmsg" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5ebab4e5, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8881d073, "sk_error_report" },
	{ 0x12c787e7, "skb_queue_purge_reason" },
	{ 0x45ec4d08, "radix_tree_iter_delete" },
	{ 0x1bb01d22, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xaca04d9, "proto_unregister" },
	{ 0x802e3578, "sock_register" },
	{ 0x78e94ec7, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3f173e60, "trace_event_ignore_this_pid" },
	{ 0x148dadc3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xe6e676f9, "rt_write_unlock" },
	{ 0x385bd26a, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5eea08e6, "module_put" },
	{ 0x666686bd, "__xa_alloc" },
	{ 0x10a11f84, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xf5773b6d, "perf_trace_run_bpf_submit" },
	{ 0x24f3c3c1, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91018a3f, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf44a210b, "sk_skb_reason_drop" },
	{ 0xe857b638, "xa_load" },
	{ 0x7b7a91c6, "__SCK__tp_func_sk_data_ready" },
	{ 0x3e2e5fe5, "kernel_getsockname" },
	{ 0xe5bef6e5, "do_wait_intr_irq" },
	{ 0xbe5ad03d, "sk_free" },
	{ 0x50657173, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5c6ee2fe, "mutex_lock" },
	{ 0xcbd418df, "skb_push" },
	{ 0xcf571e8c, "sock_no_listen" },
	{ 0xfb3c9746, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcb463f1, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa66c94e0, "skb_copy_datagram_iter" },
	{ 0x50e33ea9, "sk_alloc" },
	{ 0xcbad43cf, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x188cb0c, "sock_no_mmap" },
	{ 0xc13daac3, "__init_waitqueue_head" },
	{ 0xf9d18f22, "sock_no_sendpage" },
	{ 0xee0abf69, "__netdev_alloc_skb" },
	{ 0xd32fcc92, "rt_spin_unlock" },
	{ 0xc3443526, "rt_spin_lock" },
	{ 0x2602f49b, "__xa_insert" },
	{ 0xa46c8176, "xa_erase" },
	{ 0x6ad6992d, "bpf_trace_run3" },
	{ 0x35185e32, "skb_set_owner_w" },
	{ 0x6cb07c09, "trace_event_buffer_reserve" },
	{ 0xa4b418b5, "mutex_unlock" },
	{ 0xe22a2795, "sock_create_kern" },
	{ 0x610278d5, "xa_find" },
	{ 0xebd97d1a, "skb_recv_datagram" },
	{ 0xce2ed16b, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x8a8089f4, "xa_store" },
	{ 0x7eb2bb2a, "rt_write_lock" },
	{ 0x6b26d7b8, "_copy_from_iter" },
	{ 0xabf561c, "sock_release" },
	{ 0x4ec3561b, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x79b6fc17, "xa_find_after" },
	{ 0x7fa4cad9, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x8023b87a, "iov_iter_revert" },
	{ 0xd17f40d3, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x257dfc6b, "__mutex_rt_init" },
	{ 0x8b06f401, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0xba2f2a1b, "kmalloc_caches" },
	{ 0x6e574007, "release_sock" },
	{ 0xb09c2be4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.6");
